Subject: Re: [rbridge] comment about draft-ietf-trill-rbridge-channel-02

From: Donald Eastlake <[email-masked]>
Date: Tue, 11 Oct 2011 11:02:42 -0400

OK, I think your alternate wording below is fine.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Tue, Sep 20, 2011 at 10:32 PM, Anoop Ghanwani <[email-masked]> wrote:
>>>>>
> Suggested text
>
> For messages sent a known number of hops, such as one-hop messages or
> a two-hop loop back message through an immediate neighbor RBridge,
> setting the Hops field to the maximum value and checking the Hop Count
> field on receipt provides an additional validity check as discussed in
> [RFC5082].
>>>>>>>>>>>>>>>>
>
> Since we don't have "loop back messages", I think it would be better
> to say:
>
>>>>>>
> For messages sent a known number of hops, such as one-hop messages or
> a two-hop self-addressed message intended to loop back through an immediate
> neighbor RBridge, setting the Hops field to the maximum value and
> checking the Hop Count
> field on receipt provides an additional validity check as discussed in
> [RFC5082].
>>>>>>>>
>
> The second one looks fine to me.
>
> On Tue, Sep 20, 2011 at 12:11 AM, Donald Eastlake <[email-masked]> wrote:
>> Hi Anoop,
>>
>> On 8/17/11, Anoop Ghanwani <[email-masked]> wrote:
>>> This pertains to the following text in Section 2.2:
>>>
>>>>>>>
>>> When an RBridge Channel message is originated, the Hop Count field
>>> defaults to the maximum value, 0x3F, but particular RBridge Channel
>>> protocols MAY specify other values. For messages sent a known number
>>> of hops, such as one-hop messages or two-hop neighbor echo messages,
>>> setting the Hops field to the maximum value and checking the Hop
>>> Count field on receipt provides an additional validity check as
>>> discussed in [RFC5082].
>>>>>>>
>>
>> The phrase "two-hop neighbor echo messages" above is a bit confusing.
>> What was meant was an echo that goes to an immediate neighbor and
>> comes back.
>>
>>> And then later:
>>>
>>>>>>>>
>>> If the channel message is a multi-hop
>>> unicast message, then the egress nickname is a nickname of the target
>>> RBridge; this includes the special case of an "echo" OAM message
>>> where the originator places one of its own nicknames in both the
>>> ingress and egress nickname fields.
>>>>>>>>>
>>>
>>> Technically we could have an echo message that has
>>> both the ingress and egress nicknames the same, or it
>>> could have them different (i.e. the actual egress RBridge).
>>> Would it be possible to disambiguate these two?
>>> Perhaps we could refer to the generic echo message
>>> as a loopback, and the one with the identical ingress
>>> and egress nickname as an echo?
>>
>> I'm not sure we need specific terms here, just better descriptions.
>> Attached are suggested changes to the text.
>>
>> Thanks,
>> Donald
>> =============================
>>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>>  155 Beaver Street, Milford, MA 01757 USA
>>  [email-masked]
>>
>

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge